Name:          sshfs
Version:       3.7.3
Release:       1mamba
Summary:       A filesystem client based on the SSH File Transfer Protocol
Group:         System/Kernel and Hardware/Drivers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://fuse.sourceforge.net/sshfs.html
Source:        https://github.com/libfuse/sshfs.git/sshfs-%{version}/sshfs-%{version}.tar.bz2
Source1:       %{name}-help2man
Patch:         %{name}-1.8-cflags.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfuse3-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: help2man

%description
SSHFS is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up: i.e. on the server side there's nothing to do.
On the client side mounting the filesystem is as easy as logging into the server with ssh.

The idea of sshfs was taken from the SSHFS filesystem distributed with LUFS, which I found very useful.
There were some limitations of that codebase, so I rewrote it. 
Features of this implementation are:

* Based on FUSE (the best userspace filesystem framework for linux ;-)
* Multithreading: more than one request can be on it's way to the server
* Allowing large reads (max 64k)
* Caching directory contents

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

mv %{buildroot}%{_sbindir} %{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
/sbin/mount.fuse.sshfs
/sbin/mount.sshfs
%{_mandir}/man1/%{name}.1*
%doc AUTHORS COPYING
#ChangeLog FAQ.txt NEWS README

%changelog
* Fri May 27 2022 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Tue Jun 08 2021 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Mon May 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.0-1mamba
- update to 3.7.0

* Wed Dec 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8-1mamba
- update to 2.8

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-1mamba
- update to 2.7

* Thu Jan 16 2014 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1mamba
- automatic update by autodist

* Fri Jun 01 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.8-1mamba
- update to 1.8

* Thu May 03 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.7-1mamba
- package created by autospec
- added man page
